import graphene


class FailureNode(graphene.Interface):
    reason = graphene.String()


class SuccessNode(graphene.Interface):
    message = graphene.String()


class Success(graphene.ObjectType):
    class Meta:
        interfaces = (SuccessNode,)
